[arch-commits] Commit in libstroke/repos (5 files)
Eric Bélanger
eric at archlinux.org
Mon Mar 16 01:26:57 UTC 2009
Date: Sunday, March 15, 2009 @ 21:26:56
Author: eric
Revision: 30070
Merged revisions 30069 via svnmerge from
svn+ssh://svn.archlinux.org/srv/svn-packages/libstroke/trunk
........
r30069 | eric | 2009-03-15 21:26:35 -0400 (Sun, 15 Mar 2009) | 2 lines
upgpkg: libstroke 0.5.1-3
Fixed build issue, Updated url, Added license, Added libx11 and gtk makedepends, Added ChangeLog
........
Added:
libstroke/repos/extra-x86_64/ChangeLog
(from rev 30069, libstroke/trunk/ChangeLog)
libstroke/repos/extra-x86_64/libgstroke-Makefile.am.patch
(from rev 30069, libstroke/trunk/libgstroke-Makefile.am.patch)
libstroke/repos/extra-x86_64/libstroke-Makefile.am.patch
(from rev 30069, libstroke/trunk/libstroke-Makefile.am.patch)
Modified:
libstroke/repos/extra-x86_64/ (properties)
libstroke/repos/extra-x86_64/PKGBUILD
------------------------------+
ChangeLog | 8 ++++++++
PKGBUILD | 32 +++++++++++++++++++++++---------
libgstroke-Makefile.am.patch | 11 +++++++++++
libstroke-Makefile.am.patch | 15 +++++++++++++++
4 files changed, 57 insertions(+), 9 deletions(-)
Property changes on: libstroke/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
- /libstroke/trunk:1-9156
+ /libstroke/trunk:1-30069
Copied: libstroke/repos/extra-x86_64/ChangeLog (from rev 30069, libstroke/trunk/ChangeLog)
===================================================================
--- extra-x86_64/ChangeLog (rev 0)
+++ extra-x86_64/ChangeLog 2009-03-16 01:26:56 UTC (rev 30070)
@@ -0,0 +1,8 @@
+2009-03-14 Eric Belanger <eric at archlinux.org>
+
+ * libstroke 0.5.1-3
+ * Fixed build issue
+ * Updated url
+ * Added license
+ * Added libx11 and gtk makedepends
+ * Added ChangeLog
Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2009-03-16 01:26:35 UTC (rev 30069)
+++ extra-x86_64/PKGBUILD 2009-03-16 01:26:56 UTC (rev 30070)
@@ -1,21 +1,35 @@
# $Id$
+# Maintainer: Eric Belanger <eric at archlinux.org>
# Contributor: damir <damir at archlinux.org>
-# Maintainer: damir <damir at archlinux.org>
pkgname=libstroke
pkgver=0.5.1
-pkgrel=2
+pkgrel=3
pkgdesc="LibStroke is a stroke (mouse gesture) translation library"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+url="http://etla.net/libstroke/"
+license=('GPL2')
depends=('glibc')
-url="http://www.etla.net/libstroke/"
+makedepends=('libx11' 'gtk')
options=('!libtool')
-source=($url/$pkgname-$pkgver.tar.gz)
-md5sums=('51b9a4e309ac15cfcab96191eed03cb2')
+source=(http://etla.net/libstroke/$pkgname-$pkgver.tar.gz libgstroke-Makefile.am.patch libstroke-Makefile.am.patch)
+md5sums=('51b9a4e309ac15cfcab96191eed03cb2' '60bbaf355355c3c66c8015b0f7feca85'\
+ '96413a77e1d39d1a3223e8eb6be8ef01')
+sha1sums=('48bd2b98faa8681ccd97eda7a09442845dbf1b7b'
+ 'a0c3bd9e894650475ba3049b0ef3d7f9580c203d'
+ 'ee5a3635c31dba00b070a942c512cc0d53056188')
build() {
- cd $startdir/src/$pkgname-$pkgver
- ./configure --prefix=/usr
+ cd ${srcdir}/${pkgname}-${pkgver}
+ patch -p1 < ../libgstroke-Makefile.am.patch || return 1
+ patch -p1 < ../libstroke-Makefile.am.patch || return 1
+
+ libtoolize --force --copy || return 1
+ aclocal || return 1
+ autoconf || return 1
+ automake --add-missing --force --copy || return 1
+
+ ./configure --prefix=/usr || return 1
make || return 1
- make DESTDIR=$startdir/pkg install
+ make DESTDIR=${pkgdir} install || return 1
}
Copied: libstroke/repos/extra-x86_64/libgstroke-Makefile.am.patch (from rev 30069, libstroke/trunk/libgstroke-Makefile.am.patch)
===================================================================
--- extra-x86_64/libgstroke-Makefile.am.patch (rev 0)
+++ extra-x86_64/libgstroke-Makefile.am.patch 2009-03-16 01:26:56 UTC (rev 30070)
@@ -0,0 +1,11 @@
+--- libstroke-0.5.1/libgstroke/Makefile.am.orig 2008-06-11 13:01:29.000000000 +0400
++++ libstroke-0.5.1/libgstroke/Makefile.am 2008-06-11 13:01:44.000000000 +0400
+@@ -21,7 +21,7 @@
+ INCLUDES = @GTK_CFLAGS@
+ LDADD = @GTK_LIBS@
+
+-EXTRA_DIST =
++#EXTRA_DIST =
+
+ MOSTLYCLEANFILES = core *~
+ CLEANFILES = core *~
Copied: libstroke/repos/extra-x86_64/libstroke-Makefile.am.patch (from rev 30069, libstroke/trunk/libstroke-Makefile.am.patch)
===================================================================
--- extra-x86_64/libstroke-Makefile.am.patch (rev 0)
+++ extra-x86_64/libstroke-Makefile.am.patch 2009-03-16 01:26:56 UTC (rev 30070)
@@ -0,0 +1,15 @@
+--- libstroke-0.5.1/libstroke/Makefile.am.orig 2008-06-11 13:01:54.000000000 +0400
++++ libstroke-0.5.1/libstroke/Makefile.am 2008-06-11 13:02:02.000000000 +0400
+@@ -5,10 +5,10 @@
+ # level Makefile.
+ AUTOMAKE_OPTIONS = foreign
+
+-EXTRA_DIST =
++#EXTRA_DIST =
+
+ #tclpath::
+- #echo ${ENABLE_TCL}
++# echo ${ENABLE_TCL}
+
+ #if ENABLE_TCL
+ #SEL_BIB = libstroke.la libstroke_tcl.la
More information about the arch-commits
mailing list